{
    num: -356007,
    accuracy: 100,
    basePower: 130,
    category: "Physical",
    name: "Foolhardy Valor",
    pp: 5,
    priority: 0,
    flags: { protect: 1, contact: 1 },
    onAfterMoveSecondarySelf(source, target, move) {
        
        if (move.totalDamage) {
            
            const recoilDamage = Math.floor(move.totalDamage / 3);
            
            if (recoilDamage > 0) {
                
                this.damage(recoilDamage, source, source, move);
                
                this.add('-activate', source, 'move: Foolhardy Valor', '[recoil]');
            }
        }
    },
    secondary: {
        chance: 100,
        status: 'brn'
    },
    target: "normal",
    type: "Fire", 
    contestType: "Tough",
}